package cn.ysk.cashier.mybatis.service;

import cn.ysk.cashier.dto.TbMiniAppPagesDto;
import cn.ysk.cashier.mybatis.entity.TbMiniAppPages;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.http.ResponseEntity;

import java.util.Map;

/**
 * @author GYJ
 */
public interface TbMiniAppPagesService extends IService<TbMiniAppPages> {

    ResponseEntity<Object> createTbMiniAppPages(TbMiniAppPagesDto pagesDto);

    ResponseEntity<Object> updateTbMiniAppPages(TbMiniAppPagesDto pagesDto);

    ResponseEntity<Object> deleteTbMiniAppPages(Integer pagesId);

    ResponseEntity<Object> getTbMiniAppPages(Map<String, Object> params);
}
